package com.heyu.api.data.service.impl.comment;

import com.heyu.api.data.entity.vv.VvCommentEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.CommentStatusEnums;
import com.heyu.api.data.service.impl.AbstractCommentAction;

public class SellerAgreeCommentAction extends AbstractCommentAction {
    @Override
    public ActionEnums getAction(VvCommentEntity vvCommentEntity, boolean isApp, boolean isAdmin) {
        if (isAdmin) {

            if (CommentStatusEnums.wait_approval.getStatus().equals(vvCommentEntity.getStatus())) {

                return ActionEnums.Admin_Seller_Agree_Comment;
            }

        }

        return null;
    }
}
